groovy.json.internal

## Class FastStringUtils

- java.lang.Object
- - groovy.json.internal.FastStringUtils

-     public class FastStringUtils
      extends java.lang.Object

  Internal class for fast processing of Strings during JSON parsing

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `FastStringUtils.StringImplementation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ENABLED`
    `static long` | `STRING_COUNT_FIELD_OFFSET`
    `static FastStringUtils.StringImplementation` | `STRING_IMPLEMENTATION`
    `static long` | `STRING_OFFSET_FIELD_OFFSET`
    `static long` | `STRING_VALUE_FIELD_OFFSET`
    `static sun.misc.Unsafe` | `UNSAFE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastStringUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `noCopyStringFromChars(char[] chars)`
    `static char[]` | `toCharArray(java.lang.CharSequence charSequence)`
    `static char[]` | `toCharArray(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSAFE

          public static final sun.misc.Unsafe UNSAFE

    - #### STRING_VALUE_FIELD_OFFSET

          public static final long STRING_VALUE_FIELD_OFFSET

    - #### STRING_OFFSET_FIELD_OFFSET

          public static final long STRING_OFFSET_FIELD_OFFSET

    - #### STRING_COUNT_FIELD_OFFSET

          public static final long STRING_COUNT_FIELD_OFFSET

    - #### ENABLED

          public static final boolean ENABLED

    - #### STRING_IMPLEMENTATION

          public static FastStringUtils.StringImplementation STRING_IMPLEMENTATION

  - ### Constructor Detail

    - #### FastStringUtils

          public FastStringUtils()

  - ### Method Detail

    - #### toCharArray

          public static char[] toCharArray(java.lang.String string)

      Parameters:
        `string` - string to grab array from.
      Returns:
        char array from string

    - #### toCharArray

          public static char[] toCharArray(java.lang.CharSequence charSequence)

      Parameters:
        `charSequence` - to grab array from.
      Returns:
        char array from char sequence

    - #### noCopyStringFromChars

          public static java.lang.String noCopyStringFromChars(char[] chars)

      Parameters:
        `chars` - to shove array into.
      Returns:
        new string with chars copied into it